/* utf.h - homebrewed functions for dealing with utf8 encoding */
/* Sun Jan 21 11:29:12 EST 2018 -jsj */
/* $Id: utf.h,v 1.7 2021/02/19 21:14:39 malakai Exp $ */

/* Fri Jul  8 10:34:07 AM EDT 2022
 * This code is taken from the Last Outpost Project and made available by the
 * author through the Last Outpost Code Archive: <rahjiii@jeffrika.com>
 * (https://www.last-outpost.com/LO/pubcode) Feel free to use it as you see
 * fit. */

struct utf_translation_data {
	char ascii;
	const char *utf;
};

char utf8_to_ascii(char *utfbuf);
char *shrink_to_ascii(char *utfbuf);

int valid_utf8_sequence(char input, char *utfbuf);
int utf8_seqlen(char *buf);

int utf8_strnlen(char *buf, size_t maxlen);
int utf8_strlen(char *buf);

